-- Numbers indicate the maximum number of items that can be loaded
-- The limit is either the stack size (cramming in as many as fit)
-- Or this number

local harpoonGun = {
	spear = 999,
	batterycell = 1
}
local battery = { batterycell = 1 }
local oxygen = { oxygentank = 1 }

local LOAD_MAP = {
	anechoicdivingsuit = oxygen,
	autocpr = battery,
	bvm = oxygen,
	defibrillator = battery,
	divingmask = oxygen,
	divingsuit = oxygen,
	exosuit = { fuelrot = 1, oxygentank = 1 },
	flashlight = battery,
	handcannon = { handcannonround = 999 },
	handheldsonar = battery,
	harpooncoilrifle = harpoonGun,
	harpoongun = harpoonGun,
	healthscanner = battery,
	plasmacutter = oxygen,
	portablepump = battery,
	revolver = { revolverround = 999 },
	underwaterscooter = battery,
	weldingtool = { weldingfueltank = 1 },
}

return LOAD_MAP
